Loading...
Searching...
No Matches
juce::AudioProcessorValueTreeStateParameterAttributes Class Reference

## Detailed Description

Advanced properties of an AudioProcessorValueTreeState::Parameter.

The members here have the same meaning as the similarly-named member functions of AudioParameterFloatAttributes.

See also
  AudioParameterFloatAttributes, RangedAudioParameterAttributes

The documentation for this class was generated from the following file:

- juce_audio_processors/utilities/juce_AudioProcessorValueTreeState.h

## Public Member Functions

auto | withStringFromValueFunction (StringFromValue x) const
auto | withValueFromStringFunction (ValueFromString x) const
auto | withLabel (String x) const
auto | withCategory (Category x) const
auto | withMeta (bool x) const
auto | withAutomatable (bool x) const
auto | withInverted (bool x) const
auto | withDiscrete (bool x) const
| Pass 'true' if this parameter has discrete steps, or 'false' if the parameter is continuous.
auto | withBoolean (bool x) const
| Pass 'true' if this parameter only has two valid states.
const auto & | getAudioParameterFloatAttributes () const
const auto & | getDiscrete () const
const auto & | getBoolean () const

## Member Functions

## withStringFromValueFunction()

auto juce::AudioProcessorValueTreeStateParameterAttributes::withStringFromValueFunction | ( | StringFromValue | x | ) | const

inline nodiscard

See also
  RangedAudioParameterAttributes::withStringFromValueFunction()

References juce::withMember(), and x.

## withValueFromStringFunction()

auto juce::AudioProcessorValueTreeStateParameterAttributes::withValueFromStringFunction | ( | ValueFromString | x | ) | const

inline nodiscard

See also
  RangedAudioParameterAttributes::withValueFromStringFunction()

References juce::withMember(), and x.

## withLabel()

auto juce::AudioProcessorValueTreeStateParameterAttributes::withLabel | ( | String | x | ) | const

inline nodiscard

See also
  RangedAudioParameterAttributes::withLabel()

References juce::withMember(), and x.

## withCategory()

auto juce::AudioProcessorValueTreeStateParameterAttributes::withCategory | ( | Category | x | ) | const

inline nodiscard

See also
  RangedAudioParameterAttributes::withCategory()

References juce::withMember(), and x.

## withMeta()

auto juce::AudioProcessorValueTreeStateParameterAttributes::withMeta | ( | bool | x | ) | const

inline nodiscard

See also
  RangedAudioParameterAttributes::withMeta()

References juce::withMember(), and x.

## withAutomatable()

auto juce::AudioProcessorValueTreeStateParameterAttributes::withAutomatable | ( | bool | x | ) | const

inline nodiscard

See also
  RangedAudioParameterAttributes::withAutomatable()

References juce::withMember(), and x.

## withInverted()

auto juce::AudioProcessorValueTreeStateParameterAttributes::withInverted | ( | bool | x | ) | const

inline nodiscard

See also
  RangedAudioParameterAttributes::withInverted()

References juce::withMember(), and x.

## withDiscrete()

auto juce::AudioProcessorValueTreeStateParameterAttributes::withDiscrete | ( | bool | x | ) | const

inline nodiscard

Pass 'true' if this parameter has discrete steps, or 'false' if the parameter is continuous.

Using an AudioParameterChoice or AudioParameterInt might be a better choice than setting this flag.

References juce::withMember(), and x.

## withBoolean()

auto juce::AudioProcessorValueTreeStateParameterAttributes::withBoolean | ( | bool | x | ) | const

inline nodiscard

Pass 'true' if this parameter only has two valid states.

Using an AudioParameterBool might be a better choice than setting this flag.

References juce::withMember(), and x.

## getAudioParameterFloatAttributes()

const auto & juce::AudioProcessorValueTreeStateParameterAttributes::getAudioParameterFloatAttributes | ( |  | ) | const

inline nodiscard

Returns
  all attributes that might also apply to an AudioParameterFloat

## getDiscrete()

const auto & juce::AudioProcessorValueTreeStateParameterAttributes::getDiscrete | ( |  | ) | const

inline nodiscard

Returns
  'true' if this parameter has discrete steps, or 'false' if the parameter is continuous.

## getBoolean()

const auto & juce::AudioProcessorValueTreeStateParameterAttributes::getBoolean | ( |  | ) | const

inline nodiscard

Returns
  'true' if this parameter only has two valid states.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited